<!DOCTYPE html>
<html lang="en" xmlns:th="http://thymeleaf.org">
<head>
    <title>BelajarBelajar</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous"></head>
<body>
<div class="container">
    <div class="card m-4 p-4">
        <div class="card-body">
            <div class="justify-content-center">
                <h2>Detail Course</h2>
                <br>
                <p th:text="'Code Course: ' + ${course.code}"></p>
                <p th:text="'Nama Course: ' + ${course.nameCourse}"></p>
                <p th:text="'Description: ' + ${course.description}"></p>
                <p th:text="'Jumlah SKS: ' + ${course.jumlahSks}"></p>
                <p th:text="'Tanggal Dimulai: ' + ${#temporals.format(course.tanggalDimulai, 'dd MMMM yyyy HH:mm')}"></p>
                <p th:text="'Tanggal Berakhir: ' + ${#temporals.format(course.tanggalBerakhir, 'dd MMMM yyyy HH:mm')}"></p>
 
                <div class="col">
                    <h4>Pengajar </h4>
                    <hr>
                </div>
                <div th:id="*{listPengajar.size() != 0}">
                    <form th:action="@{/pengajar/delete}" th:object="${course}" method="POST">
                        <input type="hidden" th:field="*{code}">
                        <input type="hidden" th:field="*{tanggalDimulai}">
                        <input type="hidden" th:field="*{tanggalBerakhir}">
                        <table class="table">
                                <thead>
                                    <tr>
                                        <th>No</th>
                                        <th>No Pengajar</th>
                                        <th>Nama</th>
                                        <th>Jenis Pengajar</th>
                                        <th>Ubah</th>
                                        <th>Hapus</th>
                                    </tr>
                                </thead>
                            <tbody>
                                <tr th:each="pengajar, iterationStatus : ${listPengajar}"
                                    th:style="${iterationStatus.even} ? 'font-weight:bold;'">
                                    <td th:text="${iterationStatus.count}"></td>
                                    <td th:text="${pengajar.noPengajar}"></td>
                                    <td th:text="${pengajar.namaPengajar}"></td>
                                    <td th:if="${pengajar.isPengajarUniversitas}">Pekerjaan: Non-Dosen Universitas</td>
                                    <td th:unless="${pengajar.isPengajarUniversitas}">Pekerjaan: Dosen Universitas</td>

                                    <td>
                                        <a class="btn btn-primary" th:href="'view/'+ ${course.code} + '/update/no_pengajar/' + ${pengajar.noPengajar}">Update</a>
                                    </td>
                                    <td>
                                        <input class="form-check-input" type="checkbox"
                                        th:field="*{listPengajar}"
                                        th:value="${pengajar.noPengajar}"
                                        id="flexCheckDefault">
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <input type="submit" value="Delete Pengajar yang dipilih" class="btn btn-danger">
                    </form>
                </div>
                <div th:unless="*{listPengajar.size() != 0}">
                    <h2 th:text="'Tidak ada Pengajar'"><h2>
                </div>

                <br>
                <br>
                <div class="col">
                    <h4>Penyelenggara </h4>
                    <hr>
                </div>
                <div th:id="*{listPenyelenggara.size() != 0}">
                    <form th:action="@{/pengajar/delete}" th:object="${course}" method="POST">
                        <input type="hidden" th:field="*{code}">
                        <input type="hidden" th:field="*{tanggalDimulai}">
                        <input type="hidden" th:field="*{tanggalBerakhir}">
                        <table class="table">
                                <thead>
                                    <tr>
                                        <th>No</th>
                                        <th>No Penyelenggara</th>
                                        <th>Nama Penyelenggara</th>
                                        <th>Jenis Lembaga</th>
                                    </tr>
                                </thead>
                            <tbody>
                                <tr th:each="penyelenggara, iterationStatus : ${listPenyelenggara}"
                                    th:style="${iterationStatus.even} ? 'font-weight:bold;'">
                                    <td th:text="${iterationStatus.count}"></td>
                                    <td th:text="${penyelenggara.noPenyelenggara}"></td>
                                    <td th:text="${penyelenggara.namaPenyelenggara}"></td>
                                    <td th:if="${penyelenggara.jenisLembaga}">Pekerjaan: Non-Dosen Universitas</td>
                                    <td th:unless="${penyelenggara.jenisLembaga}">Pekerjaan: Dosen Universitas</td>

                                </tr>
                            </tbody>
                        </table>
                    </form>
                </div>
                <div th:unless="*{listPenyelenggara.size() != 0}">
                    <h2 th:text="'Tidak ada Penyelenggara'"><h2>
                </div>

                <br>
                <a class="btn btn-primary" href="/course/viewAll">Kembali</a>
                <a class="btn btn-primary" th:href="@{/pengajar/add/} + ${course.code}">Tambah Pengajar</a>
            </div>
        </div>
    </div>
</div>
 
</body>
</html>